import {createStore, combineReducers, applyMiddleware} from 'redux'
import thunk from 'redux-thunk'
import {promiseReducer} from '../reducers'
import {authReducer} from '../reducers'
import {chatsReducer} from '../reducers'
import {localStoredReducer} from '../reducers'

import {actionAboutMe} from '../actions'
import * as shoto from '../actions'

console.log(shoto)
// console.log(Object.entries(shoto))
// debugger;

export const store =  createStore (  combineReducers({ 
                                          promise: promiseReducer, 
                                          auth: authReducer, 
                                          chats: chatsReducer
                                                }),
                                    applyMiddleware(thunk)
                        )
console.log(store)

setTimeout(() => store.dispatch(actionAboutMe()), 0)
// store.dispatch(actionAboutMe())

store.subscribe(() => console.log(store.getState()))


